import request from '@/utils/request'
//增加部件参数档案
export function addPartParameter(data) {
  return request({
    url: '/product/addPartParameter',
    method: 'post',
    params: data
  })
}

//获取部件参数档案列表
export function getPartParameterList(data) {
  return request({
    url: '/product/getPartParameterList',
    method: 'post',
    params: data
  })
}

//获取部件参数档案
export function getPartParameterInfoById(data) {
  return request({
    url: '/product/getPartParameterInfo',
    method: 'post',
    params: data
  })
}


//修改部件参数档案
export function updatePartParameter(data) {
  return request({
    url: '/product/updatePartParameter',
    method: 'post',
    params: data
  })
}

//删除部件参数档案
export function deletePartParameter(data) {
  return request({
    url: '/product/deletePartParameter',
    method: 'post',
    params: data
  })
}

//获取产品参数
export function getParameter(data) {
  return request({
    url: '/product/getProductParameterList',
    method: 'post',
    params: data
  })
}
